<?php $defines = Zend_Registry::get('defines');?>

<?= $this->render('profile/profile-tabs.phtml')?>



<form id="contact-info" action="" >
    <input type="hidden" name="action" value="<?= $this->action?>">
    <?php  if($this->escortId):?>
        <input type="hidden" name="escort" value="<?= $this->escortId ?>" />
    <?php endif;?>

    <div class="row">
        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-user"></i>Contact
                </div>
                <div class="card-block">
                    <div class="body">
                        <fieldset class="form-group">
                            <label for="phone_prefix">Country calling code</label>

                            <select id="phone_prefix" name="phone_prefix">
                                <? foreach ($this->phone_countries as $country): ?>
                                    <option value="<?= $country->id ?>-<?= $country->phone_prefix ?>-<?= $country->ndd_prefix ?>"
                                        <?= (isset($this->phone_prefix_id) && $country->id == $this->phone_prefix_id) ? 'selected="selected"' : '' ?>
                                        <? //Default is united kingdom 215 ?>
                                        <?= ( !isset($this->phone_prefix_id) ) && $country->id == 215 ? 'selected="selected"' : '' ?>>
                                        <?= $country->title ?>
                                        (+<?= $country->phone_prefix ?>)
                                    </option>
                                <? endforeach; ?>
                            </select>

                            <div class="pt-2">

                                <label for="phone">Phone number</label>
                                <p id="validation-phone_number" class="text-danger m-0"></p>
                                <div class="input-group">
                                    <input type="text" name="phone_number" class="form-control" id="phone" value="<?= ($this->data['phone_number']) ? $this->data['phone_number'] : '' ?>">
                                </div>
                                <div class="text-muted">We will make test phone calls/send text messages in order to make sure the phone number is correct so please don't enter inaccurate info.</div>
                            </div>

                            <div class="pt-2">
                                <p>Apps Available</p>
                                <div class="form-check form-check-inline">
                                    <label class="custom-control custom-checkbox">
                                        <input id="viber" type="checkbox" class="custom-control-input" name="viber" value="1" <?= $this->data['viber'] ? ' checked="checked"' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">Viber</span>
                                    </label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <label class="custom-control custom-checkbox">
                                        <input id="whatsapp" type="checkbox" class="custom-control-input" name="whatsapp" value="1" <?= $this->data['whatsapp'] ? ' checked="checked"' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">Whatsapp</span>
                                    </label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <label class="custom-control custom-checkbox">
                                        <input id="telegram" type="checkbox" class="custom-control-input" name="telegram" value="1" <?= $this->data['telegram'] ? ' checked="checked"' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">Telegram</span>
                                    </label>
                                </div>
                                <div class="form-check form-check-inline">
                                    <label class="custom-control custom-checkbox">
                                        <input id="signal" type="checkbox" class="custom-control-input" name="ssignal" value="1" <?= $this->data['ssignal'] ? ' checked="checked"' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">Signal</span>
                                    </label>
                                </div>
                            </div>

                            <div class="pt-2">
                                <p>Phone Instructions</p>
                                <? foreach ( $defines['phone_instructions'] as $id => $label ): ?>
                                    <div class="form-check form-check-inline">
                                        <label class="custom-control custom-radio">
                                            <input id="orientation-<?= $id ?>" class="custom-control-input" type="radio" name="phone_instr" value="<?= $id ?>" <?= $this->data['phone_instr'] == $id ? ' checked="checked"' : '' ?>/>
                                            <span class="custom-control-indicator"></span>
                                            <span class="custom-control-description"><?= $label ?></span>
                                        </label>
                                    </div>
                                <?php endforeach;?>
                                <div class="form-check">
                                    <label class="custom-control custom-checkbox">
                                        <input id="whatsapp" type="checkbox" class="custom-control-input" name="phone_instr_no_withheld" value="1" <?= $this->data['phone_instr_no_withheld'] ? ' checked="checked"' : '' ?>>
                                        <span class="custom-control-indicator"></span>
                                        <span class="custom-control-description">No withheld numbers</span>
                                    </label>
                                </div>

                            </div>

                        </fieldset>

                    </div>
                </div>
            </div>
        </div>
        <!--/.col-->
        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-internet-explorer"></i>Web
                </div>
                <div class="card-body">
                    <fieldset class="form-group">
                        <label for="email">E-mail address (Messages sent through the form on your page will be sent at this address)</label>
                        <p id="validation-email" class="text-danger m-0"></p>
                        <div class="input-group">
                            <input type="text" name="email" class="form-control" id="email" value="<?= ($this->data['email']) ? $this->data['email'] : '' ?>">
                        </div>


                        <label class="pt-2" for="website">Website / URL </label>
                        <p id="validation-website" class="text-danger m-0"></p>
                        <div class="input-group">
                            <input type="text" name="website" class="form-control" id="website" value="<?= ($this->data['website']) ? $this->data['website'] : '' ?>">
                        </div>

                        <div class="pt-3">
                            <div class="mb-1">If you don't have a site yet, try our partner Escortbook.com! It's fast and free!</div>
                            <a href="http://www.escortbook.com" target="_blank"><img class="img-fluid" src="<?= _st('eb_button_' . $this->lang() . '.png') ?>" /></a>
                        </div>

                    </fieldset>
                </div>

            </div>
        </div>

        <div class="col-lg-4 custom-p-4">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-map-marker"></i>Address Details
                </div>
                <div class="card-body">
                    <label for="club-name">Club Name </label>
                    <div class="input-group">
                        <input type="text" name="club_name" class="form-control" id="club-name" value="<?= ($this->data['club_name']) ? $this->data['club_name'] : '' ?>">
                    </div>


                    <label class="pt-2" for="street">Street / Nr </label>
                    <div class="input-group">
                        <input type="text" name="street" class="form-control" id="street" value="<?= ($this->data['street']) ? $this->data['street'] : '' ?>">
                    </div>
                </div>

            </div>
        </div>

        <div class="col-md-12 d-flex">
            <button type="submit" class="btn m-auto btn-outline-success btn-lg active fixed-button">Save</button>
        </div>
    </div>
</form>
